"use strict";
{
    C3.Plugins.EMI_INDO_Flash.Acts = {
        On()
        {
            const self = this;
            if (typeof window.plugins == 'undefined')
            {
                return;
            }
            else
            {
                window.plugins.flashlight.switchOn(success, fail);

                function success(result)
                {
                    console.log(result);
                    self.Trigger(C3.Plugins.EMI_INDO_Flash.Cnds.On);

                }

                function fail(result)
                {
                    console.log(result);
                    self.Trigger(C3.Plugins.EMI_INDO_Flash.Cnds.Error);

                }
            }
        },

        Off()
        {
            const self = this;
            if (typeof window.plugins == 'undefined')
            {
                return;
            }
            else
            {
                window.plugins.flashlight.switchOff(success, fail);

                function success(result)
                {
                    console.log(result);
                    self.Trigger(C3.Plugins.EMI_INDO_Flash.Cnds.Off);

                }

                function fail(result)
                {
                    console.log(result);
                    self.Trigger(C3.Plugins.EMI_INDO_Flash.Cnds.Error);

                }
            }
        },

        Exitapp()
        {
            const self = this;
            if (typeof window.plugins == 'undefined')
            {
                return;
            }
            else
            {
                window.plugins.flashlight.switchOff(exitApp, exitApp);

                function exitApp()
                {
                    navigator.app.exitApp();
                }
            }
        },

        Toggle()
        {
            const self = this;
            if (typeof window.plugins == 'undefined')
            {
                return;
            }
            else
            {
                window.plugins.flashlight.toggle(

                function()
                {}, // optional success callback

                function()
                {
                    self.Trigger(C3.Plugins.EMI_INDO_Flash.Cnds.Error);

                }, // optional error callback
                {
                    intensity: 0.3
                } // optional as well, used on iOS when switching on
                );
            }
        }
    };
}